# Makefile.in generated by automake 1.16.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# $Id$
VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
check_PROGRAMS = input1$(EXEEXT) app1$(EXEEXT) checkbox1$(EXEEXT) \
	dialog1$(EXEEXT) filedialog1$(EXEEXT) filedialog2$(EXEEXT) \
	filedialog3$(EXEEXT) focus1$(EXEEXT) inputbox1$(EXEEXT) \
	listbox1$(EXEEXT) listbox2$(EXEEXT) lockscreen1$(EXEEXT) \
	messagebox1$(EXEEXT) messagebox2$(EXEEXT) messagebox3$(EXEEXT) \
	packremove$(EXEEXT) radiobox1$(EXEEXT) resize3$(EXEEXT) \
	resize4$(EXEEXT) resize5$(EXEEXT)
# LD_EXPORT_DYNAMIC is basically only used for interactive_tests and
# only works on non-cygwin systems
@NOTCYGWIN_TRUE@am__append_1 = $(LD_EXPORT_DYNAMIC)
subdir = tests/ui-interactive
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
	$(top_srcdir)/m4/ax_with_curses.m4 $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/include/libyacurscfg.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
app1_SOURCES = app1.cc
app1_OBJECTS = app1.$(OBJEXT)
app1_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
checkbox1_SOURCES = checkbox1.cc
checkbox1_OBJECTS = checkbox1.$(OBJEXT)
checkbox1_LDADD = $(LDADD)
dialog1_SOURCES = dialog1.cc
dialog1_OBJECTS = dialog1.$(OBJEXT)
dialog1_LDADD = $(LDADD)
filedialog1_SOURCES = filedialog1.cc
filedialog1_OBJECTS = filedialog1.$(OBJEXT)
filedialog1_LDADD = $(LDADD)
filedialog2_SOURCES = filedialog2.cc
filedialog2_OBJECTS = filedialog2.$(OBJEXT)
filedialog2_LDADD = $(LDADD)
filedialog3_SOURCES = filedialog3.cc
filedialog3_OBJECTS = filedialog3.$(OBJEXT)
filedialog3_LDADD = $(LDADD)
focus1_SOURCES = focus1.cc
focus1_OBJECTS = focus1.$(OBJEXT)
focus1_LDADD = $(LDADD)
input1_SOURCES = input1.cc
input1_OBJECTS = input1.$(OBJEXT)
input1_LDADD = $(LDADD)
inputbox1_SOURCES = inputbox1.cc
inputbox1_OBJECTS = inputbox1.$(OBJEXT)
inputbox1_LDADD = $(LDADD)
listbox1_SOURCES = listbox1.cc
listbox1_OBJECTS = listbox1.$(OBJEXT)
listbox1_LDADD = $(LDADD)
listbox2_SOURCES = listbox2.cc
listbox2_OBJECTS = listbox2.$(OBJEXT)
listbox2_LDADD = $(LDADD)
lockscreen1_SOURCES = lockscreen1.cc
lockscreen1_OBJECTS = lockscreen1.$(OBJEXT)
lockscreen1_LDADD = $(LDADD)
messagebox1_SOURCES = messagebox1.cc
messagebox1_OBJECTS = messagebox1.$(OBJEXT)
messagebox1_LDADD = $(LDADD)
messagebox2_SOURCES = messagebox2.cc
messagebox2_OBJECTS = messagebox2.$(OBJEXT)
messagebox2_LDADD = $(LDADD)
messagebox3_SOURCES = messagebox3.cc
messagebox3_OBJECTS = messagebox3.$(OBJEXT)
messagebox3_LDADD = $(LDADD)
packremove_SOURCES = packremove.cc
packremove_OBJECTS = packremove.$(OBJEXT)
packremove_LDADD = $(LDADD)
radiobox1_SOURCES = radiobox1.cc
radiobox1_OBJECTS = radiobox1.$(OBJEXT)
radiobox1_LDADD = $(LDADD)
resize3_SOURCES = resize3.cc
resize3_OBJECTS = resize3.$(OBJEXT)
resize3_LDADD = $(LDADD)
resize4_SOURCES = resize4.cc
resize4_OBJECTS = resize4.$(OBJEXT)
resize4_LDADD = $(LDADD)
resize5_SOURCES = resize5.cc
resize5_OBJECTS = resize5.$(OBJEXT)
resize5_LDADD = $(LDADD)
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/app1.Po ./$(DEPDIR)/checkbox1.Po \
	./$(DEPDIR)/dialog1.Po ./$(DEPDIR)/filedialog1.Po \
	./$(DEPDIR)/filedialog2.Po ./$(DEPDIR)/filedialog3.Po \
	./$(DEPDIR)/focus1.Po ./$(DEPDIR)/input1.Po \
	./$(DEPDIR)/inputbox1.Po ./$(DEPDIR)/listbox1.Po \
	./$(DEPDIR)/listbox2.Po ./$(DEPDIR)/lockscreen1.Po \
	./$(DEPDIR)/messagebox1.Po ./$(DEPDIR)/messagebox2.Po \
	./$(DEPDIR)/messagebox3.Po ./$(DEPDIR)/packremove.Po \
	./$(DEPDIR)/radiobox1.Po ./$(DEPDIR)/resize3.Po \
	./$(DEPDIR)/resize4.Po ./$(DEPDIR)/resize5.Po
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_@AM_V@)
am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = app1.cc checkbox1.cc dialog1.cc filedialog1.cc \
	filedialog2.cc filedialog3.cc focus1.cc input1.cc inputbox1.cc \
	listbox1.cc listbox2.cc lockscreen1.cc messagebox1.cc \
	messagebox2.cc messagebox3.cc packremove.cc radiobox1.cc \
	resize3.cc resize4.cc resize5.cc
DIST_SOURCES = app1.cc checkbox1.cc dialog1.cc filedialog1.cc \
	filedialog2.cc filedialog3.cc focus1.cc input1.cc inputbox1.cc \
	listbox1.cc listbox2.cc lockscreen1.cc messagebox1.cc \
	messagebox2.cc messagebox3.cc packremove.cc radiobox1.cc \
	resize3.cc resize4.cc resize5.cc
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build-aux/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CURSES_LIB = @CURSES_LIB@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLEDEBUG = @ENABLEDEBUG@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
GMSGFMT = @GMSGFMT@
GMSGFMT_015 = @GMSGFMT_015@
GREP = @GREP@
HAVE_CXX14 = @HAVE_CXX14@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
LD = @LD@
LDFLAGS = @LDFLAGS@
LD_EXPORT_DYNAMIC = @LD_EXPORT_DYNAMIC@
LIBICONV = @LIBICONV@
LIBINTL = @LIBINTL@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBICONV = @LTLIBICONV@
LTLIBINTL = @LTLIBINTL@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MSGFMT = @MSGFMT@
MSGFMT_015 = @MSGFMT_015@
MSGMERGE = @MSGMERGE@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
POSUB = @POSUB@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
XGETTEXT_015 = @XGETTEXT_015@
XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
AUTOMAKE_OPTIONS = serial-tests
AM_DEFAULT_SOURCE_EXT = .cc
AM_CPPFLAGS = -D_XOPEN_SOURCE_EXTENDED=1 -DLOCALEDIR=\"$(localedir)\"	\
-I$(top_srcdir)/include $(ENABLEDEBUG)

AM_LDFLAGS = -L$(top_builddir)/src -lyacurs $(CURSES_LIB) $(LTLIBINTL) \
	$(am__append_1)
@NOTCYGWIN_TRUE@AM_CXXFLAGS = $(STDCXX98_FLAG)
all: all-am

.SUFFIXES:
.SUFFIXES: .cc .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/ui-interactive/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/ui-interactive/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

app1$(EXEEXT): $(app1_OBJECTS) $(app1_DEPENDENCIES) $(EXTRA_app1_DEPENDENCIES) 
	@rm -f app1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(app1_OBJECTS) $(app1_LDADD) $(LIBS)

checkbox1$(EXEEXT): $(checkbox1_OBJECTS) $(checkbox1_DEPENDENCIES) $(EXTRA_checkbox1_DEPENDENCIES) 
	@rm -f checkbox1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(checkbox1_OBJECTS) $(checkbox1_LDADD) $(LIBS)

dialog1$(EXEEXT): $(dialog1_OBJECTS) $(dialog1_DEPENDENCIES) $(EXTRA_dialog1_DEPENDENCIES) 
	@rm -f dialog1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(dialog1_OBJECTS) $(dialog1_LDADD) $(LIBS)

filedialog1$(EXEEXT): $(filedialog1_OBJECTS) $(filedialog1_DEPENDENCIES) $(EXTRA_filedialog1_DEPENDENCIES) 
	@rm -f filedialog1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(filedialog1_OBJECTS) $(filedialog1_LDADD) $(LIBS)

filedialog2$(EXEEXT): $(filedialog2_OBJECTS) $(filedialog2_DEPENDENCIES) $(EXTRA_filedialog2_DEPENDENCIES) 
	@rm -f filedialog2$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(filedialog2_OBJECTS) $(filedialog2_LDADD) $(LIBS)

filedialog3$(EXEEXT): $(filedialog3_OBJECTS) $(filedialog3_DEPENDENCIES) $(EXTRA_filedialog3_DEPENDENCIES) 
	@rm -f filedialog3$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(filedialog3_OBJECTS) $(filedialog3_LDADD) $(LIBS)

focus1$(EXEEXT): $(focus1_OBJECTS) $(focus1_DEPENDENCIES) $(EXTRA_focus1_DEPENDENCIES) 
	@rm -f focus1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(focus1_OBJECTS) $(focus1_LDADD) $(LIBS)

input1$(EXEEXT): $(input1_OBJECTS) $(input1_DEPENDENCIES) $(EXTRA_input1_DEPENDENCIES) 
	@rm -f input1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(input1_OBJECTS) $(input1_LDADD) $(LIBS)

inputbox1$(EXEEXT): $(inputbox1_OBJECTS) $(inputbox1_DEPENDENCIES) $(EXTRA_inputbox1_DEPENDENCIES) 
	@rm -f inputbox1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(inputbox1_OBJECTS) $(inputbox1_LDADD) $(LIBS)

listbox1$(EXEEXT): $(listbox1_OBJECTS) $(listbox1_DEPENDENCIES) $(EXTRA_listbox1_DEPENDENCIES) 
	@rm -f listbox1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(listbox1_OBJECTS) $(listbox1_LDADD) $(LIBS)

listbox2$(EXEEXT): $(listbox2_OBJECTS) $(listbox2_DEPENDENCIES) $(EXTRA_listbox2_DEPENDENCIES) 
	@rm -f listbox2$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(listbox2_OBJECTS) $(listbox2_LDADD) $(LIBS)

lockscreen1$(EXEEXT): $(lockscreen1_OBJECTS) $(lockscreen1_DEPENDENCIES) $(EXTRA_lockscreen1_DEPENDENCIES) 
	@rm -f lockscreen1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(lockscreen1_OBJECTS) $(lockscreen1_LDADD) $(LIBS)

messagebox1$(EXEEXT): $(messagebox1_OBJECTS) $(messagebox1_DEPENDENCIES) $(EXTRA_messagebox1_DEPENDENCIES) 
	@rm -f messagebox1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(messagebox1_OBJECTS) $(messagebox1_LDADD) $(LIBS)

messagebox2$(EXEEXT): $(messagebox2_OBJECTS) $(messagebox2_DEPENDENCIES) $(EXTRA_messagebox2_DEPENDENCIES) 
	@rm -f messagebox2$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(messagebox2_OBJECTS) $(messagebox2_LDADD) $(LIBS)

messagebox3$(EXEEXT): $(messagebox3_OBJECTS) $(messagebox3_DEPENDENCIES) $(EXTRA_messagebox3_DEPENDENCIES) 
	@rm -f messagebox3$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(messagebox3_OBJECTS) $(messagebox3_LDADD) $(LIBS)

packremove$(EXEEXT): $(packremove_OBJECTS) $(packremove_DEPENDENCIES) $(EXTRA_packremove_DEPENDENCIES) 
	@rm -f packremove$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(packremove_OBJECTS) $(packremove_LDADD) $(LIBS)

radiobox1$(EXEEXT): $(radiobox1_OBJECTS) $(radiobox1_DEPENDENCIES) $(EXTRA_radiobox1_DEPENDENCIES) 
	@rm -f radiobox1$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(radiobox1_OBJECTS) $(radiobox1_LDADD) $(LIBS)

resize3$(EXEEXT): $(resize3_OBJECTS) $(resize3_DEPENDENCIES) $(EXTRA_resize3_DEPENDENCIES) 
	@rm -f resize3$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(resize3_OBJECTS) $(resize3_LDADD) $(LIBS)

resize4$(EXEEXT): $(resize4_OBJECTS) $(resize4_DEPENDENCIES) $(EXTRA_resize4_DEPENDENCIES) 
	@rm -f resize4$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(resize4_OBJECTS) $(resize4_LDADD) $(LIBS)

resize5$(EXEEXT): $(resize5_OBJECTS) $(resize5_DEPENDENCIES) $(EXTRA_resize5_DEPENDENCIES) 
	@rm -f resize5$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(resize5_OBJECTS) $(resize5_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/app1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/checkbox1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dialog1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/filedialog1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/filedialog2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/filedialog3.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/focus1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inputbox1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/listbox1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/listbox2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lockscreen1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messagebox1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messagebox2.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messagebox3.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/packremove.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/radiobox1.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resize3.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resize4.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resize5.Po@am__quote@ # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@echo '# dummy' >$@-t && $(am__mv) $@-t $@

am--depfiles: $(am__depfiles_remade)

.cc.o:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<

.cc.obj:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cc.lo:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
@NOTCYGWIN_FALSE@check-local:
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-local
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
	mostlyclean-am

distclean: distclean-am
		-rm -f ./$(DEPDIR)/app1.Po
	-rm -f ./$(DEPDIR)/checkbox1.Po
	-rm -f ./$(DEPDIR)/dialog1.Po
	-rm -f ./$(DEPDIR)/filedialog1.Po
	-rm -f ./$(DEPDIR)/filedialog2.Po
	-rm -f ./$(DEPDIR)/filedialog3.Po
	-rm -f ./$(DEPDIR)/focus1.Po
	-rm -f ./$(DEPDIR)/input1.Po
	-rm -f ./$(DEPDIR)/inputbox1.Po
	-rm -f ./$(DEPDIR)/listbox1.Po
	-rm -f ./$(DEPDIR)/listbox2.Po
	-rm -f ./$(DEPDIR)/lockscreen1.Po
	-rm -f ./$(DEPDIR)/messagebox1.Po
	-rm -f ./$(DEPDIR)/messagebox2.Po
	-rm -f ./$(DEPDIR)/messagebox3.Po
	-rm -f ./$(DEPDIR)/packremove.Po
	-rm -f ./$(DEPDIR)/radiobox1.Po
	-rm -f ./$(DEPDIR)/resize3.Po
	-rm -f ./$(DEPDIR)/resize4.Po
	-rm -f ./$(DEPDIR)/resize5.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
		-rm -f ./$(DEPDIR)/app1.Po
	-rm -f ./$(DEPDIR)/checkbox1.Po
	-rm -f ./$(DEPDIR)/dialog1.Po
	-rm -f ./$(DEPDIR)/filedialog1.Po
	-rm -f ./$(DEPDIR)/filedialog2.Po
	-rm -f ./$(DEPDIR)/filedialog3.Po
	-rm -f ./$(DEPDIR)/focus1.Po
	-rm -f ./$(DEPDIR)/input1.Po
	-rm -f ./$(DEPDIR)/inputbox1.Po
	-rm -f ./$(DEPDIR)/listbox1.Po
	-rm -f ./$(DEPDIR)/listbox2.Po
	-rm -f ./$(DEPDIR)/lockscreen1.Po
	-rm -f ./$(DEPDIR)/messagebox1.Po
	-rm -f ./$(DEPDIR)/messagebox2.Po
	-rm -f ./$(DEPDIR)/messagebox3.Po
	-rm -f ./$(DEPDIR)/packremove.Po
	-rm -f ./$(DEPDIR)/radiobox1.Po
	-rm -f ./$(DEPDIR)/resize3.Po
	-rm -f ./$(DEPDIR)/resize4.Po
	-rm -f ./$(DEPDIR)/resize5.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: check-am install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-am \
	check-local clean clean-checkPROGRAMS clean-generic \
	clean-libtool cscopelist-am ctags ctags-am distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	pdf pdf-am ps ps-am tags tags-am uninstall uninstall-am

.PRECIOUS: Makefile


@NOTCYGWIN_TRUE@check-local: $(check_PROGRAMS)
@NOTCYGWIN_TRUE@	for f in $(check_PROGRAMS) ; do \
@NOTCYGWIN_TRUE@		$(LIBTOOL) --mode=execute env LD_PRELOAD="$(top_builddir)/tests/preloadlib/.libs/libtestpreload.so" $(builddir)/$$f ; \
@NOTCYGWIN_TRUE@		retval=$$? ; \
@NOTCYGWIN_TRUE@		if test "x$$retval" = "x77" ; then \
@NOTCYGWIN_TRUE@			echo "*** $$f skipped" ; \
@NOTCYGWIN_TRUE@		else \
@NOTCYGWIN_TRUE@			test "x$$retval" = "x0" || { echo "*** $$f failed" ; exit 1 ; } ; \
@NOTCYGWIN_TRUE@		fi ; \
@NOTCYGWIN_TRUE@	done

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
